Subject: Re: mwheel.el uses (point) instead of point-before-scroll

From: Glenn Morris <[email-masked]>
Date: Sat, 05 Dec 2009 16:06:32 -0500

Chong Yidong wrote:

> I have no preference for either behavior, because I don't use the mouse
> wheel much.  Either way, we should probably make the scrollbar and mouse
> wheel behavior consistent, though.

Emacs 22.3 seems to make both me and the OP happy.

When transient-mark-mode is off, it does not have the issue I
complained about. When transient-mark-mode is on, it behaves the way
the OP wants. (So by default 22.3 does NOT behave the way the OP asks
for, AFAICS.)

I complained when the behaviour I disliked (and I do find it really
annoying) started happening even when t-m-m was off.

So is there a way to make us both happy, by getting the 22.3 behaviour
back? I don't care at all what the defaults are, so long as I can get
the behaviour I like somehow.